﻿@using PagedList;
@using PagedList.Mvc;
@model IPagedList<AHCBL.Dto.Admin.RequestListDto>
@{
    ViewBag.Title = "Request List";
}
<div class="xp-contentbar" style="margin-top:60px;">
    <div class="row">
        <!-- Start XP Col -->
        <div class="col-md-12 col-lg-12 col-xl-12">
            <div class="card m-b-30">
                <div class="card-header bg-white">
                    <div class="float-left">
                        <h5 class="card-title text-black">복숭아신청 / ลูกพีช</h5>
                    </div>
                </div>
                <div class="card-body table-responsive">
                    <div class="xp-alert mt-3">
                        <div class="alert alert-light" role="alert">
                            @using (Html.BeginForm("Index", "RequestList", FormMethod.Post))
                            {
                                <div class="xp-alert">
                                    <div class="row justify-content-center">
                                        <div class="form-row">
                                            <div class="col-auto">
                                                <div class="input-group mb-2">
                                                    @Html.DropDownList("drp", ViewBag.Search as SelectList, new { @class = "bg-white border form-control" })
                                                </div>
                                            </div>
                                            <div class="col-auto">
                                                <div class="input-group mb-2">
                                                    @Html.TextBox("keyword", ViewBag.CurrentFilter as string, new { @class = "form-control border bg-white", @style = "width: 700px;" })
                                                </div>
                                            </div>

                                            <div class="col-auto">
                                                <button type="submit" class="btn btn-info mb-2"><i class="icon-magnifier mr-2"></i>Search</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            }
                        </div>
                    </div>



                    <div style="min-width:1366px;max-width:100%; margin:auto;">
                        <div class="align-middle">
                            <span class="badge badge-primary badge-pill">전체  @ViewBag.Count 건</span>
                            <span class="badge badge-primary badge-pill">전체 합계  @ViewBag.Amount 점</span>
                            <div class="float-right">
                                @using (Html.BeginForm("ExportToExcel", "RequestList", FormMethod.Post))
                                {
                                    <button type="submit" id="btnExport" style="margin-top:-10px;" class="btn btn-rounded btn-warning"><i class="icon-printer mr-2"></i> Export</button>
                                }
                            </div>
                        </div>
                        <div class="table-responsive m-b-30 mt-2">
                            <table class="table table-bordered">
                                <thead class="thead-dark">
                                    <tr class="text-center">
                                        <th class="align-middle" style="width:200px;">회원아이디 / รหัสสมาชิก</th>
                                        <th class="align-middle">이름 / ชื่อ</th>
                                        <th class="align-middle" style="width:150px;">수수료 / จำนวนต่อหน่วย</th>
                                        <th class="align-middle" style="width:300px;">상품갯수 / จำนวนสินค้า</th>
                                        <th class="align-middle" style="width:300px;">가격 / ราคา</th>
                                        <th class="align-middle" style="width:200px;">일시 / วันที่</th>
                                        <th class="align-middle" style="width:150px;">상태 / สถานะ</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @if (Model != null && Model.Count() != 0)
                                    {
                                        foreach (var item in Model)
                                        {
                                            <tr class="text-center">
                                                <td>
                                                    @Html.DisplayFor(modelItem => item.username)
                                                </td>
                                                <td>
                                                    @Html.DisplayFor(modelItem => item.fullname)
                                                </td>
                                                <td>
                                                    @Html.DisplayFor(modelItem => item.total)<span>개</span>
                                                </td>
                                                <td>
                                                    @Html.DisplayFor(modelItem => item.amount)<span>개</span>
                                                </td>
                                                <td>
                                                    @Html.DisplayFor(modelItem => item.price)<span>원</span>
                                                </td>
                                                <td>
                                                    @Html.DisplayFor(modelItem => item.create_date)
                                                </td>
                                                <td>
                                                    @Html.DropDownListFor(modelItem => item.active, new SelectList(ViewBag.Status, "Value", "Text", item.active), new { @class = "form-control border bg-white", @onchange = "updatedata(this.value," + item.id + ")" })
                                                </td>
                                            </tr>
                                        }
                                    }
                                    else
                                    {
                                        <tr class="text-center">
                                            <td colspan="7">
                                                No Data !!
                                            </td>
                                        </tr>
                                    }
                                </tbody>
                            </table>
                        </div>
                        @{
                            if (Convert.ToInt32(ViewBag.Count) > ViewBag.Rows)
                            {
                                <div class="justify-content-center row">
                                    @if (Model != null)
                                    {
                                        @Html.PagedListPager(Model, Page => Url.Action("Index", "RequestList", new { Page }))
                                    }
                                </div>
                            }
                        }
                    </div>
                </div>
            </div>
            <!-- End XP Col -->
        </div>
    </div>
</div>

<script>
    $(function () {
        $("#liMember").addClass("active");
        $("#meRequest").addClass("active");
        
        //$("#item_active").change(function () {
        //    alert($(this).val());
        //});
    });
    function updatedata(val,id) {
        $.ajax({
            type: "POST",
            url: "/RequestList/updatedata",
            data: "{'id':" + id + ",'status':" + val + "}",
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: function (msg) {
                alert(msg);
                //location.reload();
                //location.href = "/Main";
            }
        });
    }

</script>




